Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with HTTPS or Subversion.

Download ZIP
A WordPress plugin to force users to change their passwords every 30 days.
branch: master

Fetching latest commit…

Cannot retrieve the latest commit at this time

Failed to load latest commit information.
README
expire-passwords.php
license.txt
readme.txt
screenshot-1.png

README

=== Expire User Passwords ===
Contributors: DJPaul, telegraph
Tags: expire,expiry,30 days,user,password
License: GPLv3
Requires at least: 3.2.1
Tested up to: 3.3.1
Stable tag: 1.0

Force users to change their passwords every 30 days.

== Description ==
This plugin forces users to change their passwords every 30 days. There is zero configuration.

Please report any bugs to Telegraph Media Group's github page at https://github.com/telegraph/. This plugin also works in the `mu-plugins` directory.

== Installation ==
1. Install via WordPress Plugins administration page.
1. Activate the plugin.
1. That's it. Sorry, were you expecting more?

== Changelog ==
= 1.0 =
* First version.

== Frequently Asked Questions ==
= I've found a bug? =
* Please report any bugs to https://github.com/telegraph/Expire-User-Passwords/issues.

= I want the expiry period to be different from 30 days? =
* In your wp-config.php file, add a define called 'TMG_AEP_EXPIRY', and set the value to the number of seconds until you want the log in to expire.

= How are WordPress' log in cookies handled? =
* When a user's password expires, that user is prevented from being able to log in on your site until they reset their password.
* If a user has a log in cookie set, and so are already logged in, they can still use your site until that cookie expires or they log out manually. WordPress cookies expire after 2 weeks, so a user account could remain active for 30 days plus 2 weeks.

== Screenshots ==
* Password has expired

== License ==
"Expire User Passwords"
Copyright (C) 2012  Telegraph Media Group Limited

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.
Something went wrong with that request. Please try again.